libzypp 17.38.15

JsonNumber.h File Reference
`#include <string>`
`#include <cstdint>`
`#include <ostream>`
`#include <zypp-core/Globals.h>`

Go to the source code of this file.

## Classes
class | zypp::json::Number
class | zypp::json::Int
class | zypp::json::UInt

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::json

## Functions
ZYPP_API std::ostream & | zypp::json::operator<< (std::ostream &str, const Number &obj)
| relates: Number Stream output
std::ostream & | zypp::json::operator<< (std::ostream &str, const Int &obj)
| relates: Int Stream output
std::ostream & | zypp::json::operator<< (std::ostream &str, const UInt &obj)
| relates: UInt Stream output